(function() {
    function injectVueScript() {
        const script = document.createElement('script');
        script.type = 'module';
        //if (window.vueIntegration && window.vueIntegration.developmentEnv) {
            script.src = 'http://localhost:3000/src/main.js';
        //} else {
        //    script.src = '/path/to/built/main.js';
        //}
        document.body.appendChild(script);
    }

    if (document.readyState === 'loading') {
        document.addEventListener('DOMContentLoaded', injectVueScript);
    } else {  // Документ уже загружен
        injectVueScript();
    }
})();